[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# ObjectBinaryToText

Converts an object stream from a binary to a text format.

## Declaration

Source position: classesh.inc line 2304

`procedure ObjectBinaryToText(`
`Input: TStream;`
`Output: TStream;`
`Encoding: TObjectTextEncoding`
`); procedure ObjectBinaryToText(`
`Input: TStream;`
`Output: TStream`
`);`

## Description

ObjectBinaryToText reads an object stream in binary format from Input and writes the object stream in text format to Output. No components are instantiated during the process, this is a pure conversion routine.

## See also

ObjectTextToBinary |  | Converts an object stream from a text to a binary format.